textures/pmw_shaders/sky
{
	qer_editorimage textures/pmw/env/sky_clouds.tga

	q3map_sunExt 1 1 1 375 -35 25

	q3map_lightRGB 0.7 0.8 1.0
	q3map_lightmapFilterRadius 0 64
	q3map_skyLight 180 3

	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap

	skyparms textures/pmw/env/sky 1024 -

	nopicmip
	nomipmaps

	{
		map textures/pmw/env/sky_clouds.tga
		tcMod scale 3 3
		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
	{
		map textures/pmw/env/sky_arc_masked.tga
		blendFunc GL_ONE_MINUS_SRC_ALPHA GL_SRC_ALPHA
		tcMod transform 0.25 0 0 0.25 0.1075 0.1075
		rgbGen identityLighting
	}
}

textures/pmw_shaders/skyd
{
	qer_editorimage textures/pmw/env/snowy.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_surfacelight 40
	q3map_sunExt 0.9 0.95 1 40 45 60 1.5 8
	skyParms env/pmw/env/snowy - -
	{
		map textures/pmw/env/snowy_up.jpg
//		tcMod scale 3 3
//		tcMod scroll 0.005 -0.0125
		rgbGen identityLighting
	}
}

textures/pmw_shaders/sky_glass
{
	qer_editorimage textures/pmw/glass.jpg
	//q3map_surfacelight 30
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		map textures/pmw/glass.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
	//{
	//	map $lightmap
	//	blendfunc gl_dst_color gl_src_alpha
	//	rgbGen identity
	//	tcGen lightmap
	//}
}

textures/pmw_shaders/glass
{
	qer_editorimage textures/pmw/glass.jpg
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		map textures/pmw/glass.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
	//{
	//	map $lightmap
	//	blendfunc gl_dst_color gl_src_alpha
	//	rgbGen identity
	//	tcGen lightmap
	//}
}

textures/pmw_shaders/glass_translucent
{
	qer_editorimage textures/pmw/glass.jpg
	surfaceparm nomarks
	surfaceparm trans
	qer_trans 0.75
	cull none
	{
		map textures/pmw/glass.jpg
		blendfunc add
		rgbGen const ( 0.05 0.05 0.07 )
	}
	//{
	//	map $lightmap
	//	blendfunc gl_dst_color gl_src_alpha
	//	rgbGen identity
	//	tcGen lightmap
	//}
}

textures/pmw_shaders/metal_step
{
	qer_editorimage textures/pmw/diamond_plate.jpg
	surfaceparm metalsteps
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/pmw/diamond_plate.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/pmw_shaders/force_field_s
{
	qer_editorimage textures/pmw/force_field.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	{
		map textures/pmw/force_field.jpg
		tcMod Scroll .1 0
		blendFunc add
	}
	{
		map textures/pmw/force_grid.jpg
		tcMod Scroll -.01 0
		blendFunc add
		rgbGen wave sin .2 .2 0 .4
	}
}

textures/pmw_shaders/64x256_y1k
{
	q3map_surfacelight 1000
	qer_editorimage textures/pmw/64x256_y.jpg
	q3map_lightimage textures/pmw/64x256_y.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/64x256_y.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/64x256_y.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/64x256_y3k
{
	q3map_surfacelight 3000
	qer_editorimage textures/pmw/64x256_y.jpg
	q3map_lightimage textures/pmw/64x256_y.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/64x256_y.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/64x256_y.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/64x64_y2k
{
	q3map_surfacelight 2000
	qer_editorimage textures/pmw/64x64_y.jpg
	q3map_lightimage textures/pmw/64x64_y.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/64x64_y.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/64x64_y.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/64x64_b4k
{
	q3map_surfacelight 4000
	q3map_surfacecolor 1 1 10
	qer_editorimage textures/pmw/64x64_b.jpg
	q3map_lightimage textures/pmw/64x64_b.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/64x64_b.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/64x64_b.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/e6horzlight
{
	q3map_surfacelight 4000
	q3map_surfacecolor 1 1 10
	qer_editorimage textures/pmw/e6horzlight.jpg
	q3map_lightimage textures/pmw/e6horzlight_blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/e6horzlight.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/e6horzlight_blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/default_metal_light_1
{
	q3map_surfacelight 500
	qer_editorimage textures/pmw/default_metal_light.jpg
	q3map_lightimage textures/pmw/default_metal_light.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/default_metal_light.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/default_metal_light.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/cubelight_32_blue
{
	q3map_surfacelight 3000
	surfaceparm nonsolid
	qer_editorimage textures/pmw/cubelight_32_blue.jpg
	q3map_lightimage textures/pmw/cubelight_32_blue.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_blue.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/cubelight_b_bright
{
	q3map_surfacelight 6000
	surfaceparm nonsolid
	qer_editorimage textures/pmw/cubelight_32_blue.jpg
	q3map_lightimage textures/pmw/cubelight_32_blue.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_blue.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_blue.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/cubelight_32_white
{
	q3map_surfacelight 30000
	surfaceparm nonsolid
	qer_editorimage textures/pmw/cubelight_32_white.jpg
	q3map_lightimage textures/pmw/cubelight_32_white.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_white.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/cl_32_dim
{
	q3map_surfacelight 10000
	surfaceparm nonsolid
	qer_editorimage textures/pmw/cubelight_32_white.jpg
	q3map_lightimage textures/pmw/cubelight_32_white.blend.jpg
	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_white.jpg
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/pmw/cubelight_32_white.blend.jpg
		blendFunc GL_ONE GL_ONE
	}
}

textures/pmw_shaders/water
{
  qer_editorimage textures/pmw/water_bluish.jpg
  qer_trans 0.5
  surfaceparm trans
  surfaceparm nonsolid
  surfaceparm water

  cull disable
  deformVertexes wave 64 sin .25 .25 0 .5
  {
    map textures/pmw/water_bluish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    rgbgen identity
    tcmod scale .5 .5
    tcmod scroll .025 .01
  }

  {
    map textures/pmw/water_redish.jpg
    blendFunc GL_DST_COLOR GL_ONE
    tcmod scale -.5 -.5
    tcmod scroll .025 .025
  }


  {
    map $lightmap
    blendFunc GL_DST_COLOR GL_ZERO
    rgbgen identity
  }
}

textures/pmw_shaders/light_housing
{
	qer_editorimage textures/pmw/default_metal.jpg
	surfaceparm nonsolid
	surfaceparm n
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/pmw/default_metal.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/pmw_shaders/floor_slick
{
	qer_editorimage textures/pmw/eq2_floor_04.jpg
	surfaceparm slick
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/pmw/eq2_floor_04.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/pmw_shaders/floor_nodamage
{
	qer_editorimage textures/pmw/eq2_floor_04.jpg
	surfaceparm nodamage
	{
		map $lightmap
		rgbGen identity
		tcGen lightmap
	}
	{
		map textures/pmw/eq2_floor_04.jpg
		blendfunc filter
		rgbGen identity
	}
}

textures/pmw_shaders/screen
{
	qer_editorimage textures/pmw/eq2_floor_04.jpg
	surfaceparm trans
	qer_trans 0.5
	cull none
	{
		map textures/pmw/eq2_floor_04.jpg
		blendfunc filter
		rgbGen identity
	}
}
